#ifndef POSIX_QRFEDEVICEDETECTOR_H
#define POSIX_QRFEDEVICEDETECTOR_H

#include "QrfeDeviceDetectorBase.h"
#include <QObject>

class Posix_QrfeDeviceDetector : public QrfeDeviceDetectorBase
{
    Q_OBJECT
public:
    Posix_QrfeDeviceDetector(QObject* parent = 0);
    virtual~ Posix_QrfeDeviceDetector();

    virtual bool registerForUSBDevice(quint16 vendorID, quint16 productID);
    virtual bool registerForHIDDevice(quint16 vendorID, quint16 productID);
    virtual bool registerForSerialPorts();

    virtual QStringList getConnectedUSBDevicePaths(quint16 vid, quint16 pid);
    virtual QStringList getConnectedHIDDevicePaths(quint16 vid, quint16 pid);

};

#endif // POSIX_QRFEDEVICEDETECTOR_H
